Bug 831186 - Gnome 3 notification bar doesn't add focus to window when clicked on it
Gnome 3 notification bar doesn't add focus to window when clicked on it
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-desktop3 (Show other bugs)
17
All Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-12 08:34 EDT by Mario Torre
Modified: 2013-07-31 20:43 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 20:43:41 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mario Torre 2012-06-12 08:34:28 EDT
Description of problem:

There are many issues with the notification area. This one is specifically about application focus when selected.

For example, let's suppose I use empathy to chat with a colleague. While typing something on another application, he sends me a message, so I get the notification in the notification area, but I don't click on it right away. At some point, I decide to click on the icon to see all the missed messages, the icon brigns me to the desktop where the telepathy window is located, but instead of focusing on it, it just show me the destkop in "task view" mode, often (doesn't seem to be always, though), the windows selected is also unfocused.

Version-Release number of selected component (if applicable):


How reproducible:
Seems to not be always reproduceable, but most often, you just need to follow the steps described in the description

Steps to Reproduce:
1. See above
2.
3.
  
Actual results:

Windows not in focus

Expected results:

Windows in focus, ready to accept keyboard input.
Additional info:
Comment 1 Fedora End Of Life 2013-07-03 18:40:51 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Fedora End Of Life 2013-07-31 20:43:44 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.